<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Noto+Serif+Thai:wght@200&display=swap" rel="stylesheet">
</head>
<body style="padding: 5px 10px; font-family: 'Noto Serif Thai', serif; font-size: 14px;">
    
เรียน {{.SENT}} 
<br>
<br>
ขออนุมัติใบขอซื้อ (PURCHASE REQUEST) เลขที่ {{.DOCUMENT_CODE}} 
<br>
Company : {{.CORP}} Branch : {{.BRANCH}} สร้างโดย : {{.CREATE_BY}} แผนก : {{.SECTION_NAME}} โครงการ : {{.PROJECT_NAME}}
<br>
<br>
<table style="width: 800px;  border: 1px solid #ddd; border-collapse: collapse;" >
    <tr style="border: 1px solid #ddd;">
        <td style="width: 150px; border: 1px solid #ddd;" align="right">Book :</td>
        <td style="width: 250px; border: 1px solid #ddd;">{{.BOOK_CODE}}</td>
        <td style="width: 150px; border: 1px solid #ddd;" align="right">Code :</td>
        <td style="width: 250px; border: 1px solid #ddd;" >{{.DOCUMENT_CODE}}</td>
    </tr>
    <tr>
        <td align="right" style="border: 1px solid #ddd;">Ref.No. :</td>
        <td style="border: 1px solid #ddd;">{{.REF_NO}}</td>
        <td align="right" style="border: 1px solid #ddd;">Date :</td>
        <td style="border: 1px solid #ddd;">{{.DOCUMENT_DATE}}</td>
    </tr>
    <tr>
        <td align="right" style="border: 1px solid #ddd;">Supp.Code :</td>
        <td style="border: 1px solid #ddd;">{{.SUPP_CODE}}</td>
        <td style="border: 1px solid #ddd;" align="right">Supp.Name :</td>
        <td style="border: 1px solid #ddd;">{{.SUPP_NAME}}</td>
    </tr>
</table>
<br>
<table style="width: 800px;  border: 1px solid #ddd; border-collapse: collapse;">
    <tr>
        <td style="width: 50px; border: 1px solid #ddd;">No</td>
        <td style="width: 100px; border: 1px solid #ddd;">ItemCode</td>
        <td style="width: 300px; border: 1px solid #ddd;">ItemName</td>
        <td style="width: 100px; text-align: center; border: 1px solid #ddd;">Price</td>
        <td style="width: 50px; text-align: center; border: 1px solid #ddd;">Qty.</td>
        <td style="width: 100px; text-align: center; border: 1px solid #ddd;">Amount</td>
    </tr>
    {{range $i, $val := .ITEMS}}
        <tr>
            <td style="border: 1px solid #ddd;">{{$val.NO}}</td>
            <td style="border: 1px solid #ddd;">{{$val.ITEM_CODE}}</td>
            <td style="border: 1px solid #ddd;">{{$val.ITEM_NAME}}</td>
            <td style="text-align: right; border: 1px solid #ddd;">{{$val.PRICE}}</td>
            <td style="text-align: center; border: 1px solid #ddd;">{{$val.QTY}}</td>
            <td style="text-align: right; border: 1px solid #ddd;">{{$val.AMOUNT}}</td>
        </tr>
    {{end}}
    <tr>
        <td style="border: 1px solid #ddd; text-align: right;" colspan="5">มูลค่าก่อน VAT</td>
        <td style="border: 1px solid #ddd; text-align: right;">{{.SUB_TOTAL}}</td>
    </tr>
    <tr>
        <td style="border: 1px solid #ddd; text-align: right;" colspan="5">ส่วนลด</td>
        <td style="border: 1px solid #ddd; text-align: right;">{{.DIS}}</td>
    </tr>
    <tr>
        <td style="border: 1px solid #ddd; text-align: right;" colspan="3">มูลค่า VAT</td>
        <td style="border: 1px solid #ddd; text-align: right;">{{.VAT}}</td>
        <td style="border: 1px solid #ddd; text-align: right;">ยอดสุทธิ</td>
        <td style="border: 1px solid #ddd; text-align: right;">{{.TOTAL}}</td>
    </tr>
</table>

<br>
<br>
<a href="{{.APPROVE_LINK}}"><button class="button success" style="border: none; color: white; padding: 5px 32px; text-align: center; text-decoration: none; display: inline-block; font-size: 12px; background-color: #04AA6D;" >อนุมัติ</button></a> 
<a href="{{.REJECRT_LINK}}"><button class="button danger" style="border: none; color: white; padding: 5px 32px; text-align: center; text-decoration: none; display: inline-block; font-size: 12px; background-color: #f44336;" >ไม่อนุมัติ</button></a> 
<a href="{{.INFORMATION_LINK}}"><button class="button info" style="border: none; color: white; padding: 5px 32px; text-align: center; text-decoration: none; display: inline-block; font-size: 12px; background-color: #008CBA;" >รายละเอียดเพิ่มเติม</button></a> 
<br>
<br>
{{if .IS_INFORMATION}}
    รายละเอียดเพิ่มเติม<br>
    {{range $i, $val := .INFORMATION_DATA}}
        {{if eq $val.INFORMATION_TYPE "Q"}}
            <b>คำถาม</b>&nbsp;&nbsp;{{$val.MESSAGE}}<br>
        {{end}}

        {{if eq $val.INFORMATION_TYPE "A"}}
            <b>คำตอบ</b>&nbsp;&nbsp;{{$val.MESSAGE}}<br>
        {{end}}
        <br>
    {{end}}
{{end}}
</body>
</html>